Page MenuHomePhabricator

Unconverted HTML entities in error message
Closed, ResolvedPublicBUG REPORT

Description

While importing, if there's an error connecting to the API, some error messages display quotes as literal HTML entities.

The message should display the quotes properly

Event Timeline

Ammarpad created this task.Nov 25 2019, 6:55 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptNov 25 2019, 6:55 AM
JJMC89 changed the subtype of this task from "Task" to "Bug Report".Nov 25 2019, 7:00 AM

Change 554824 had a related patch set uploaded (by Kretu; owner: Kretu):
[mediawiki/extensions/FileImporter@master] FileImporter: Unconverted HTML entities in error message

https://gerrit.wikimedia.org/r/554824

Ammarpad assigned this task to Kretu.Dec 5 2019, 4:37 PM
Ammarpad triaged this task as Medium priority.
Ammarpad removed Kretu as the assignee of this task.Dec 7 2019, 9:03 PM
Ammarpad added a subscriber: Kretu.

Anyway I can help? That task is free, I am aware the student abandoned it.

Change 557598 had a related patch set uploaded (by Ammarpad; owner: Alexandersheetov1):
[mediawiki/extensions/FileImporter@master] GCI task: Convert HTML entity to plain character in error message

https://gerrit.wikimedia.org/r/557598

Change 557831 had a related patch set uploaded (by Alexandersheetov1; owner: Alexandersheetov1):
[mediawiki/extensions/FileImporter@master] Update gci

https://gerrit.wikimedia.org/r/557831

Change 557831 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] GCI task: Convert HTML entity to plain character in error message

https://gerrit.wikimedia.org/r/557831

Ammarpad closed this task as Resolved.Dec 17 2019, 2:06 PM

Change 557598 abandoned by Thiemo Kreuz (WMDE):
GCI task: Convert HTML entity to plain character in error message

Reason:
Submitted twice as Icc1bee9, which is merged by now.

https://gerrit.wikimedia.org/r/557598

Change 554824 abandoned by Thiemo Kreuz (WMDE):
FileImporter: Unconverted HTML entities in error message

Reason:
Uh, sorry for not cleaning this up earlier! Since there was no response here, this was fixed via Icc1bee9.

https://gerrit.wikimedia.org/r/554824